Request agent diagnostics

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/{agentId}/request_diagnostics
Auth

Request a diagnostics bundle from a specific agent.

Required authorization

Privileges fleet-agents-read

Path parameters

agentId string required

The agent ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

additional_metrics enum[] · max items: 1
Values: CPU

Responses

Successful response

application/json
Any of:
actionId string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}